summaryrefslogtreecommitdiffstats
path: root/audio/rubyripper
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-09-08 20:24:09 -0400
committer dsomero <xgizzmo@slackbuilds.org>2010-09-08 20:24:09 -0400
commita30bee301972916b603076eff9a839d941f748b0 (patch)
treec1d89fba9e308a86ade6644dbaf8f7f23d4c1d32 /audio/rubyripper
parent4c98adab9bb5383029e1e84f66592452275521e0 (diff)
downloadslackbuilds-a30bee301972916b603076eff9a839d941f748b0.tar.gz
slackbuilds-a30bee301972916b603076eff9a839d941f748b0.tar.xz
audio/rubyripper: Added (secure audio disk ripper)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio/rubyripper')
-rw-r--r--audio/rubyripper/README15
-rw-r--r--audio/rubyripper/configure.patch.gzbin0 -> 270 bytes
-rw-r--r--audio/rubyripper/rubyripper.SlackBuild89
-rw-r--r--audio/rubyripper/rubyripper.info10
-rw-r--r--audio/rubyripper/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/audio/rubyripper/README b/audio/rubyripper/README
new file mode 100644
index 0000000000..08384f9fbc
--- /dev/null
+++ b/audio/rubyripper/README
@@ -0,0 +1,15 @@
+Rubyripper is a secure audio ripper which aims to deliver high quality rips
+from audio cd's to your computer drive. It tries to do so by ripping the same
+track with cdparanoia multiple times and then comparing the results.
+It currently has a gtk2 and a command-line interface.
+
+Rubyripper has the optional dependencies:
+
+* In SBo:
+** ruby-gtk2 (for gtk2 gui, use env GTK2=true)
+** cd-discid (for proper freedb support)
+** lame (if the codec is wanted)
+** vorbisgain, mp3gain (for replaygain support)
+* NOT in SBo:
+** wavgain (for replaygain support)
+** ruby-gettext (for translations)
diff --git a/audio/rubyripper/configure.patch.gz b/audio/rubyripper/configure.patch.gz
new file mode 100644
index 0000000000..5b18792eb2
--- /dev/null
+++ b/audio/rubyripper/configure.patch.gz
Binary files differ
diff --git a/audio/rubyripper/rubyripper.SlackBuild b/audio/rubyripper/rubyripper.SlackBuild
new file mode 100644
index 0000000000..1e628cc5a9
--- /dev/null
+++ b/audio/rubyripper/rubyripper.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for rubyripper
+# Written 2009, by Grigorios Bouzakis (grbzks@gmail.com)
+# Updated 2010, by Vincent Batts (vbatts@hashbangbash.com)
+
+PRGNAM=rubyripper
+VERSION=${VERSION:-0.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+GTK2=${GTK2:-false}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ "${GTK2}" = "true" ] ; then
+ GTK_ARGS="--enable-gtk2"
+fi
+
+DOCS="GPL-3.txt README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# we should patch this regardless, because if 'gtk2' is present
+# it will fail the build
+zcat ${CWD}/configure.patch.gz | patch configure
+
+./configure \
+ --prefix=/usr \
+ ${GTK_ARGS} \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-cli
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-${BUILD}${TAG}.${PKGTYPE:-tgz}
+
diff --git a/audio/rubyripper/rubyripper.info b/audio/rubyripper/rubyripper.info
new file mode 100644
index 0000000000..f90fc5d5fe
--- /dev/null
+++ b/audio/rubyripper/rubyripper.info
@@ -0,0 +1,10 @@
+PRGNAM="rubyripper"
+VERSION="0.6.0"
+HOMEPAGE="http://code.google.com/p/rubyripper/"
+DOWNLOAD="http://rubyripper.googlecode.com/files/rubyripper-0.6.0.tar.bz2"
+MD5SUM="5493856f60f18a6f0d338de92c6180a0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/audio/rubyripper/slack-desc b/audio/rubyripper/slack-desc
new file mode 100644
index 0000000000..b59b6732e1
--- /dev/null
+++ b/audio/rubyripper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rubyripper: rubyripper (secure audio disk ripper)
+rubyripper:
+rubyripper: Rubyripper aims to deliver high quality rips from audio cd's to
+rubyripper: yourcomputer drive. It tries to do so by ripping the same track
+rubyripper: with cdparanoia multiple times and then comparing the results.
+rubyripper: It currently has a gtk2 and a command-line interface.
+rubyripper:
+rubyripper: Homepage: http://code.google.com/p/rubyripper/
+rubyripper:
+rubyripper:
+rubyripper: